Package be.cin.io.unsealed.medicaladvisoragreement.ask.v1

# Class Request

java.lang.Object
be.cin.io.unsealed.medicaladvisoragreement.ask.v1.Request

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:28+02:00", comments="JAXB RI v4.0.5") public class Request extends Object implements Serializable

Java class for RequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EtkHcp" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="KmehrRequest" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Request()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getEtkHcp()`
  Gets the value of the etkHcp property.
  `byte[]`
  `getKmehrRequest()`
  Gets the value of the kmehrRequest property.
  `void`
  `setEtkHcp(byte[] value)`
  Sets the value of the etkHcp property.
  `void`
  `setKmehrRequest(byte[] value)`
  Sets the value of the kmehrRequest property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Request

    public Request()

- ## Method Details

  - ### getEtkHcp

    public byte[] getEtkHcp()
    Gets the value of the etkHcp property.
    Returns:
      possible object is byte[]

  - ### setEtkHcp

    public void setEtkHcp(byte[] value)
    Sets the value of the etkHcp property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getKmehrRequest

    public byte[] getKmehrRequest()
    Gets the value of the kmehrRequest property.
    Returns:
      possible object is byte[]

  - ### setKmehrRequest

    public void setKmehrRequest(byte[] value)
    Sets the value of the kmehrRequest property.
    Parameters:
      `value` - allowed object is byte[]